Module tdlight.api
Package it.tdlight.jni

# Class TdApi.TestProxy

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.TestProxy

Enclosing class:
  TdApi

public static final class TdApi.TestProxy extends TdApi.Function<TdApi.Ok>
Sends a simple network request to the Telegram servers via proxy; for testing only. Can be called before authorization.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`dcId`
Identifier of a datacenter with which to test connection.
`int`
`port`
Proxy server port.
`String`
`server`
Proxy server domain or IP address.
`double`
`timeout`
The maximum overall timeout for the request.
`TdApi.ProxyType`
`type`
Proxy type.

## Constructor Summary

Constructors
Constructor
Description
`TestProxy()`
Sends a simple network request to the Telegram servers via proxy; for testing only.
`TestProxy(DataInput input)`
Sends a simple network request to the Telegram servers via proxy; for testing only.
`TestProxy(String server, int port, TdApi.ProxyType type, int dcId, double timeout)`
Sends a simple network request to the Telegram servers via proxy; for testing only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### server

public String server
Proxy server domain or IP address.

### port

public int port
Proxy server port.

### type

public TdApi.ProxyType type
Proxy type.

### dcId

public int dcId
Identifier of a datacenter with which to test connection.

### timeout

public double timeout
The maximum overall timeout for the request.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### TestProxy

public TestProxy()
Sends a simple network request to the Telegram servers via proxy; for testing only. Can be called before authorization.

Returns `Ok`

### TestProxy

public TestProxy(String server, int port, TdApi.ProxyType type, int dcId, double timeout)
Sends a simple network request to the Telegram servers via proxy; for testing only. Can be called before authorization.

Returns `Ok`

Parameters:
  `server` - Proxy server domain or IP address.
  `port` - Proxy server port.
  `type` - Proxy type.
  `dcId` - Identifier of a datacenter with which to test connection.
  `timeout` - The maximum overall timeout for the request.

  Returns `Ok`

### TestProxy

public TestProxy(DataInput input) throws IOException
Sends a simple network request to the Telegram servers via proxy; for testing only. Can be called before authorization.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`